Posted at

Ruby On Rails5 にBootStrap4を導入

More than 1 year has passed since last update.


Bootstrap4を導入

Rails4,とRails5で導入方法に色々違いがあり、苦戦した末に導入成功したので次回のためにメモ

gem 'bootstrap','~> 4.0.0.alpha3'

gem 'jquery-rails'
gem 'jquery-ui-rails'

Gemfileに上記の3つを追加した後、ターミナルでbundle install

※jquery-ui-railsに関しては本当に必要なのかはわからず・・・


application.js


//= require jquery
//= require bootstrap
//= require jquery_ujs
//= require rails-ujs
//= require activestorage
//= require turbolinks
//= require_tree .


application.js//=で書かれている部分を上記に書き換え


application.scss

 *require_tree .

*require_self
*/

@import "bootstrap";


初期状態ではapplication.cssとなっているので.cssの部分を.scssに変更し上記のように書き換える